Đến nội dung


Hình ảnh
- - - - -

Xin Chỉnh Sửa Lisp Xuất Tọa Độ Block


  • Please log in to reply
7 replies to this topic

#1 bienda

bienda

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 09 September 2016 - 11:37 PM

Em có lisp xuất tọa độ của Block, nhờ các bác chỉnh sửa hộ em bỏ cột A và cột D đi, em chỉ muốn giữ lại tọa độ X,Y và chia cho 1000

Xin chân thành cảm ơn sự giúp đỡ  :wub:

 

http://www.cadviet.c...1_blockinfo.lsp


  • 0

#2 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 669 Bài viết
Điểm đánh giá: 313 (khá)

Đã gửi 09 September 2016 - 11:48 PM

Đây:

(defun c:ttt  (/ e f i s)
 (if (and (setq s (ssget '((0 . "INSERT") (410 . "Model"))))
          (setq f (getfiled "Create TXT File" "" "txt" 1))
          (setq f (open f "w")))
  (progn (repeat (setq i (sslength s))
          (setq e (entget (ssname s (setq i (1- i)))))
          (write-line (apply 'strcat
                             (mapcar '(lambda (x) (strcat (rtos (* x 0.001)) "\t")) (reverse (cdr (reverse (cdr (assoc 10 e)))))))
                      f))
         (close f)))
 (princ))


  • 1

#3 bienda

bienda

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 10 September 2016 - 12:05 AM

Đây:

(defun c:ttt  (/ e f i s)
 (if (and (setq s (ssget '((0 . "INSERT") (410 . "Model"))))
          (setq f (getfiled "Create TXT File" "" "txt" 1))
          (setq f (open f "w")))
  (progn (repeat (setq i (sslength s))
          (setq e (entget (ssname s (setq i (1- i)))))
          (write-line (apply 'strcat
                             (mapcar '(lambda (x) (strcat (rtos (* x 0.001)) "\t")) (reverse (cdr (reverse (cdr (assoc 10 e)))))))
                      f))
         (close f)))
 (princ))

 

Bác xem lại giúp em với, lisp k chạy ạ :(


  • 0

#4 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 669 Bài viết
Điểm đánh giá: 313 (khá)

Đã gửi 10 September 2016 - 12:17 AM

Bạn copy có bị thiếu không? Mình copy lại từ bài trên vẫn chạy mà! Nếu không chạy thì cad báo thế nào? Bấm phím F2 chụp màn hình gửi lên.


  • 1

#5 bienda

bienda

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 10 September 2016 - 12:42 AM

Bạn copy có bị thiếu không? Mình copy lại từ bài trên vẫn chạy mà! Nếu không chạy thì cad báo thế nào? Bấm phím F2 chụp màn hình gửi lên.

 

Vâng, em xin lỗi bác, em vẫn để lisp của bác trong cái lisp cũ bên trên nên nó không hoạt động

Bác cho em hỏi với, sao khi em copy từ file txt vào excel nó paste thành 3 cột nhỉ (mặc dù chỉ có tọa độ x,y) làm sao để chỉnh lại được ạ?


  • 0

#6 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 669 Bài viết
Điểm đánh giá: 313 (khá)

Đã gửi 10 September 2016 - 01:05 AM

Số liệu làm gì mà cầu kỳ vậy?

Sửa:

(defun c:ttt  (/ e f i s)
 (vl-load-com)
 (if (and (setq s (ssget '((0 . "INSERT") (410 . "Model"))))
          (setq f (getfiled "Create TXT File" "" "txt" 1))
          (setq f (open f "w")))
  (progn (repeat (setq i (sslength s))
          (setq e (entget (ssname s (setq i (1- i)))))
          (write-line
           (vl-string-right-trim "\t"
(apply 'strcat
(mapcar '(lambda (x) (strcat (rtos (* x 0.001)) "\t"))
(reverse (cdr (reverse (cdr (assoc 10 e))))))))
                      f))
         (close f)))
 (princ))


  • 1

#7 bienda

bienda

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 10 September 2016 - 01:24 AM

Em cảm ơn bác nhiều ạ

Chả là em làm cái bảng tính liên quan đến vị trí của block trong Cad ^^

Cách đây 3 năm có xem qua biết tí ti về lisp giờ em chả nhớ gì :(


  • 0

#8 tuangtvt

tuangtvt

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 September 2016 - 01:05 AM

150710_loi.jpgcác a cho e hỏi bị như này là bị gì vậy ạ,và tắt nó đi thì làm thế nào ạ,e  cảm ơn 


  • 0